# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20161128031211) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "wbase_mail_events", force: :cascade do |t|
    t.string   "sg_message_id"
    t.string   "email"
    t.string   "timestamp"
    t.string   "smtp_id"
    t.string   "event"
    t.json     "data"
    t.integer  "mail_eventable_id"
    t.string   "mail_eventable_type"
    t.datetime "created_at",          null: false
    t.datetime "updated_at",          null: false
  end

  create_table "wbase_plans", force: :cascade do |t|
    t.string   "name",                              null: false
    t.string   "stripe_id",                         null: false
    t.integer  "price",                             null: false
    t.string   "interval",      default: "monthly"
    t.text     "features"
    t.boolean  "highlight",     default: false
    t.integer  "display_order", default: 0
    t.datetime "created_at",                        null: false
    t.datetime "updated_at",                        null: false
  end

  add_index "wbase_plans", ["name"], name: "index_wbase_plans_on_name", using: :btree
  add_index "wbase_plans", ["stripe_id"], name: "index_wbase_plans_on_stripe_id", using: :btree

  create_table "wbase_ssl_verifications", force: :cascade do |t|
    t.string   "key",        null: false
    t.string   "value",      null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "wbase_stripe_webhooks", force: :cascade do |t|
    t.string   "external_id"
    t.string   "object"
    t.string   "api_version"
    t.datetime "created"
    t.json     "data"
    t.boolean  "livemode"
    t.integer  "pending_webhooks"
    t.string   "external_type"
    t.string   "external_request"
    t.datetime "created_at",       null: false
    t.datetime "updated_at",       null: false
  end

  create_table "wbase_subscriptions", force: :cascade do |t|
    t.string   "stripe_id",         null: false
    t.integer  "plan_id",           null: false
    t.string   "last_four"
    t.integer  "coupon_id"
    t.string   "card_type"
    t.integer  "current_price"
    t.integer  "user_id",           null: false
    t.datetime "paid_thru"
    t.string   "credit_card_token"
    t.datetime "created_at",        null: false
    t.datetime "updated_at",        null: false
  end

  add_index "wbase_subscriptions", ["plan_id"], name: "index_wbase_subscriptions_on_plan_id", using: :btree
  add_index "wbase_subscriptions", ["user_id"], name: "index_wbase_subscriptions_on_user_id", using: :btree

end
